Use the regular "icon icon-*" classes for all elements with icons

2016-11-09 22:27 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Working at #23980 we discovered that some links or other elements with icons (background image) doesn't use the regular "icon

icon-*" classes.

I think that for consistency, better theme support and easier styling, we should add the "icon icon-*" also to these elements.

The attached patch is a first patch that implements this for admin menu links.

Related issues:

Related to Redmine - Patch #28605: Add the missing icon class to the items wi... Closed

Related to Redmine - Patch #31433: Use "icon icon-*" classes for sort-handler... Closed

Associated revisions

Revision 15972 - 2016-11-18 15:44 - Jean-Philippe Lang

Use the regular "icon icon-*" for admin menu links (#24313).

Patch by Marius BALTEANU.

Revision 15973 - 2016-11-18 15:45 - Jean-Philippe Lang

Use the regular "icon icon-*" on project overview (#24313).

Patch by Marius BALTEANU.

Revision 15975 - 2016-11-18 17:04 - Jean-Philippe Lang

Use the regular "icon icon-*" on activity view (#24313).

Patch by Marius BALTEANU.

Revision 15976 - 2016-11-18 17:06 - Jean-Philippe Lang

Use the regular "icon icon-*" on roadmap (#24313).

Patch by Marius BALTEANU.

Revision 15977 - 2016-11-19 09:26 - Jean-Philippe Lang

Use the regular "icon icon-*" on search results (#24313).

Revision 15978 - 2016-11-19 09:53 - Jean-Philippe Lang

Use the regular "icon icon-*" in other pages (#24313).

Revision 15979 - 2016-11-19 09:57 - Jean-Philippe Lang

Small improvement (#24313).

Patch by Marius BALTEANU.

Revision 15980 - 2016-11-19 10:36 - Jean-Philippe Lang

Fix icon-news class (#24313).

History

#1 - 2016-11-10 01:10 - Marius BĂLTEANU
https://www.redmine.org/issues/23980


- File 02_use_regular_icons_in_overview_tab.patch added

- File 03_use_regular_icons_in_activity_tab.patch added

- File 04_use_regular_icons_in_version_tab.patch added

Another patches for overview, activity and roadmap tabs.

#2 - 2016-11-12 15:16 - Marius BĂLTEANU

- File 05_use_regular_icons_in_search_results.patch added

- File 06_other_pages.patch added

- File 07_small_improvement.patch added

- File 02_use_regular_icons_in_overview_tab_v2.patch added

Added the last patches:

- 05_use_regular_icons_in_search_results.patch:

The change from the view (app/views/search/index.html) was required because the classes in the search page are delimited by space and not by "-"

like in the activity page even if are the same events. I think that this fix should be made in the Search and libs modules in order to return the same

event_type for closed issues, but I wasn't able to do it.

event type: closed issue

class in activity:  "issue-closed"

class in search: "issue closed"

- 06_other_pages.patch

Changes in various pages: like favorite projects, members, attachments, forums.

- 07_small_improvement.patch:

The class "icon" should not have the rules with padding-top and padding-bottom because these are required only when the font size is smaller than

the default one (like is in the contextual block or calendar).

- Updated an already uploaded patch to use the background-image rule and not just the background rule.

- There are some rules in the CSS file that I wasn't able to find them in the application:

table.boards a.board { background: url(../images/comment.png) no-repeat 0% 50%; padding-left: 20px; }

 
span.add_attachment a {padding-left:16px; background: url(../images/bullet_add.png) no-repeat 0 50%; }

 
.task_late { background:#f66 url(../images/task_late.png); border: 1px solid #f66; }

.task_done { background:#00c600 url(../images/task_done.png); border: 1px solid #00c600; }

.task_todo { background:#aaa url(../images/task_todo.png); border: 1px solid #aaa; }

... 

.project.task_late { background:#f66 url(../images/milestone_late.png); border: 1px solid #f66; height: 2px; m

argin-top: 3px;}

.project.task_done { background:#00c600 url(../images/milestone_done.png); border: 1px solid #00c600; height: 

2px; margin-top: 3px;}

.project.task_todo { background:#fff url(../images/milestone_todo.png); border: 1px solid #fff; height: 2px; m

argin-top: 3px;}

.project.marker { background-image:url(../images/project_marker.png); background-repeat: no-repeat; border: 0;

 margin-left: -4px; margin-top: 1px; }

 Any feedback is welcome on this issue.

#3 - 2016-11-18 15:40 - Jean-Philippe Lang

- Target version set to 3.4.0

#4 - 2016-11-18 17:05 - Jean-Philippe Lang

Activity view: event type class preserved in addition to the icon-* class.

#5 - 2016-11-18 18:52 - Marius BĂLTEANU

- File 05_use_regular_icons_in_search_results_v2.patch added

Jean-Philippe Lang wrote:
Activity view: event type class preserved in addition to the icon-* class.

 I've updated the patch 05_use_regular_icons_in_search_results.patch in order to preserve the event type class like you made in the activity.

Thanks for committing this patch so fast.

#6 - 2016-11-19 09:28 - Jean-Philippe Lang

Marius BALTEANU wrote:

- 05_use_regular_icons_in_search_results.patch:

The change from the view (app/views/search/index.html) was required because the classes in the search page are delimited by space and not

by "-" like in the activity page even if are the same events. I think that this fix should be made in the Search and libs modules in order to return

the same event_type for closed issues, but I wasn't able to do it.

 There was a difference between Issue and Journal acts_as_event definition. It's fixed and I've removed the #parameterize call from the patch.

#7 - 2016-11-19 09:55 - Jean-Philippe Lang

Patch 6 committed with several changes. I've added a few icon-* (eg. icon-sticky) classes that are more meaningful than icon-arrow-right, even if they

actually use the same image in the default CSS.

#8 - 2016-11-19 09:58 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

And I've hidden the user icon on the member list, just like it was before the patches.

All patches are now committed, thanks.

#9 - 2016-11-19 10:04 - Marius BĂLTEANU

Thanks Jean-Philippe Lang for your feedback on these patches.

I think that one more change is required, you committed the 02_use_regular_icons_in_overview_tab.patch and not the second version of the patch

02_use_regular_icons_in_overview_tab_v2.patch which contains a small fix for .icon-new class.

 

.icon-news { background: url(../images/news.png); }

 

should be

.icon-news { background-image: url(../images/news.png); }

#10 - 2016-11-19 10:36 - Jean-Philippe Lang

Marius BALTEANU wrote:

I think that one more change is required

 Committed, thanks.

#11 - 2017-07-02 07:31 - Mischa The Evil

- Subject changed from Use the regular "icon icon-*" classes for all elements with icons    to Use the regular "icon icon-*" classes for all elements with

icons

#12 - 2018-04-23 07:36 - Marius BĂLTEANU

- Related to Patch #28605: Add the missing icon class to the items with icons from the contextual menu added

#13 - 2019-05-27 21:42 - Marius BĂLTEANU

- Related to Patch #31433: Use "icon icon-*" classes for sort-handler, collapsible fieldsets and collapsible versions added
Files

01_user_regular_icons_for_admin_links.patch 5.62 KB 2016-11-09 Marius BĂLTEANU

02_use_regular_icons_in_overview_tab.patch 3.59 KB 2016-11-10 Marius BĂLTEANU

03_use_regular_icons_in_activity_tab.patch 6.91 KB 2016-11-10 Marius BĂLTEANU

04_use_regular_icons_in_version_tab.patch 1.75 KB 2016-11-10 Marius BĂLTEANU

05_use_regular_icons_in_search_results.patch 10.1 KB 2016-11-12 Marius BĂLTEANU

07_small_improvement.patch 1.33 KB 2016-11-12 Marius BĂLTEANU

06_other_pages.patch 15 KB 2016-11-12 Marius BĂLTEANU

02_use_regular_icons_in_overview_tab_v2.patch 3.58 KB 2016-11-12 Marius BĂLTEANU

05_use_regular_icons_in_search_results_v2.patch 1.9 KB 2016-11-18 Marius BĂLTEANU
